Skip to main content
GET
/
webhook
/
endpoints
List webhook endpoint
curl --request GET \
  --url https://api.anchorage-staging.com/v2/webhook/endpoints \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "id": "accf45c9-f08e-4b5f-a3b0-162b94baf5a0",
      "description": "Endpoint to receive transaction notifications.",
      "createdAt": "2024-08-08T13:44:00.234524Z",
      "updatedAt": "2024-08-08T13:44:00.234526Z",
      "publicKey": "-----BEGIN PUBLIC KEY-----\nMFYwEAYHKoZIzj0CAQYFK4EEAAoDQgAEeg+pxTCsjew/+7IK4+Vw5zyHDnMW7bzn\nsClhuYIKjXF8EJ1lfyZC2VPVullBKgvHRzNMfC1KkF2LIoRp2ibcWQ==\n-----END PUBLIC KEY-----",
      "url": "https://your-domain.com/transaction-webhooks"
    }
  ],
  "page": {
    "next": "<next page url>"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Query Parameters

afterId
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

limit
integer<int64>
default:25

Maximum number of results to return per query

Required range: 1 <= x <= 100

Response

Webhook endpoint list

data
WebhookEndpoint · object[]
required
page
Page · object
required

Pagination info